{% set antecedentes_familiares = constant('HCUE\\AtencionMedicBundle\\Entity\\Constantes::CT_ANTECEDENTE_FAMILIARES') %}

<div class="widget-box">
    <div class="widget-header widget-header-small" style="line-height: 32px !important;">
        <h6 class="widget-title dark"><b>2. ANTECEDENTES PERSONALES</b></h6>
    </div>
    <div class="widget-body">
        <div class="widget-main">
            {% if atencionmedica.atencionmedicaantecedentes|length > 0 %}
                <table class="table table-bordered" width="100%" style="margin: 0;">
                    <thead>
                        <tr>
                            <th>TIPO DE ANTECEDENTE</th>
                            <th>ANTECEDENTE</th>
                            <th>DESCRIPCIÓN</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% set c = 0 %}
                        {% for item in atencionmedica.atencionmedicaantecedentes %}
                            {% if item.antecedente.ctgrupoantecedente.catalogo.id != antecedentes_familiares    %}
                                {% set c = c + 1 %}
                                <tr>
                                    <td>{{ item.antecedente.ctantecedente.descripcion }}</td>
                                    {% set valor = (';' in item.valor ) ?  item.valor|split(';') : item.valor %}
                                    {% if valor is iterable %}
                                        <td>
                                            {% for val in valor %}
                                                - {{ val }}<br>
                                            {% endfor %}
                                        </td>
                                    {% else %}
                                        <td>{{ valor }}</td>
                                    {% endif %}
                                    <td>{{ item.descripcion }}</td>
                                </tr>
                            {% endif %}
                        {% endfor %}
                        {% if c == 0 %}
                            <tr>
                                <td colspan="3">NO EXISTEN ANTECEDENTES PERSONALES REGISTRADOS PARA ESTA ATENCIÓN.</td>
                            </tr>
                        {% endif %}
                    </tbody>
                </table>
            {% else %}
                <span style="font-size: 9px;">NO EXISTEN ANTECEDENTES PERSONALES REGISTRADOS PARA ESTA ATENCIÓN.</span>
            {% endif %}
        </div>
    </div>
</div>